Debian Bug report logs - #352431
O: icheck -- Shared library ABI interface checker

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Andrew Suffield <asuffield@debian.org>

Date: Sat, 11 Feb 2006 21:33:40 UTC

Severity: normal

Fixed in version icheck/0.9.7-6

Done: Erinn Clark <erinn@double-helix.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#352431; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Andrew Suffield <asuffield@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrew Suffield <asuffield@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: icheck -- C interface ABI/API checker
Date: Sat, 11 Feb 2006 21:26:04 +0000
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

I'm orphaning icheck. As far as I'm aware it doesn't have much of a
userbase since the original plans for its deployment in Debian never
happened, and I'm the upstream author, so it's probably dead now. Also
the chances of anybody else understanding the thing are pretty
slim. It should probably be removed.

The package description is:
 A tool for statically checking C interfaces for API and ABI
 changes. All changes to type declarations that can cause ABI changes
 should be detected, along with most API changes.
 .
 icheck is intended for use with libraries, as a method of preventing
 ABI drift.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#352431; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 352431@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: debian-qa@lists.debian.org
Cc: 352431@bugs.debian.org
Subject: Let's remove icheck
Date: Thu, 9 Mar 2006 17:18:25 +1000
[Message part 1 (text/plain, inline)]
retitle 352431 RM: icheck -- dead upstream
reassign 352431 ftp.debian.org
thanks

Andrew Suffield, as both the previous maintainer and upstream author feels
that this is most probably dead and might as well be removed.

regards

Andrew
[signature.asc (application/pgp-signature, inline)]

Changed Bug title. Request was from Andrew Pollock <apollock@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Andrew Pollock <apollock@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#352431; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #21 received at 352431@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: 352431@bugs.debian.org, Debian Bugs Control Bot <control@bugs.debian.org>
Cc: vorlon@debian.org
Subject: Re: Let's remove icheck
Date: Wed, 22 Mar 2006 13:44:05 +0100
reassign 352431 wnpp
retitle 352431 O: icheck -- Shared library ABI interface checker
thanks

On Thu, Mar 09, 2006 at 05:18:25PM +1000, Andrew Pollock wrote:
> Andrew Suffield, as both the previous maintainer and upstream author feels
> that this is most probably dead and might as well be removed.

This package might be really useful for someone to pick up, there's a
real need for a package like this.

Let's keep it in wnpp for a while.

--Jeroen

-- 
Jeroen van Wolffelaar
jeroen@wolffelaar.nl
http://jeroen.A-Eskwadraat.nl



Bug reassigned from package `ftp.debian.org' to `wnpp'. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Erinn Clark <erinn@double-helix.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andrew Suffield <asuffield@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 352431-close@bugs.debian.org (full text, mbox):

From: Erinn Clark <erinn@double-helix.org>
To: 352431-close@bugs.debian.org
Subject: Bug#352431: fixed in icheck 0.9.7-6
Date: Sun, 02 Apr 2006 15:17:11 -0700
Source: icheck
Source-Version: 0.9.7-6

We believe that the bug you reported is fixed in the latest version of
icheck, which is due to be installed in the Debian FTP archive:

icheck_0.9.7-6.diff.gz
  to pool/main/i/icheck/icheck_0.9.7-6.diff.gz
icheck_0.9.7-6.dsc
  to pool/main/i/icheck/icheck_0.9.7-6.dsc
icheck_0.9.7-6_i386.deb
  to pool/main/i/icheck/icheck_0.9.7-6_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 352431@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Erinn Clark <erinn@double-helix.org> (supplier of updated icheck package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 02 Apr 2006 17:38:26 -0400
Source: icheck
Binary: icheck
Architecture: source i386
Version: 0.9.7-6
Distribution: unstable
Urgency: low
Maintainer: Erinn Clark <erinn@double-helix.org>
Changed-By: Erinn Clark <erinn@double-helix.org>
Description: 
 icheck     - C interface ABI/API checker
Closes: 352431
Changes: 
 icheck (0.9.7-6) unstable; urgency=low
 .
   * New maintainer upload. Closes: #352431.
Files: 
 22d514baa5757fd293e60865f1914d05 1216 devel optional icheck_0.9.7-6.dsc
 887a1a783ae510805df8ac7f3a088881 2866 devel optional icheck_0.9.7-6.diff.gz
 bdeac7a738734b9bcfa7c07fc9f24228 81390 devel optional icheck_0.9.7-6_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iQIVAwUBRDBLL9fD8TGrKpH1AQKNfw/+L/otAjg6WfpQK1BgpkdTGffdtRMFq7gM
7vW53TFoEKx+udAA0vgw9BsmUx4W17Vu9UN5jjtachOz5eGgfaGvrFjFzIVbtg7r
MSeIiV6d6ciUYnP+ir63iuoVsQIwwZWaSvm4em4+S8HKJgtop1WXw+VrPRZR/mAm
yRb9ppGclgfAtwsYifeGGynkzp3eZqSEG5r/XAg3cI+OExTjmsEhaz5gDjccyQyQ
r5lK3Ts7G7PRj9q7ozSUSaurC3GNqq4EAr/wZde9Uu2Ib7Zbu536YwVY/QjhxFFa
evKEpLdBvK8m0RlynWCIkvCMOgEbN/Kt2cjnrhXpSmc8SWSxwY1yS2PAEiQD/Jko
eXVrytLDC/CHI+c9e4rn6TLfRhsC8huaFWyjbPw/d5WwalpmvyfQAbHoxZKinYbr
cMB2DVnyvqy5Lt38EdU29h443MKIQYmYfh8RrShvSoOhXIqyoRk8cle4VqpXLjno
D86Y2gVoQ/QG5raYrhNl87GjmORBT/K8+Ru+hHf7IhxG4zL1Du90T9jcrwY9U3ap
wOL4qwF5HgLo6jFr2+1bCW3z+pm7sUG0BhPmhsGQe50BxiLoL+g+wY1mZBbdDWaG
aWCuyTZ4zXf+WrFM8oJOMCm1RaHCQKZcylSnYvjnK/W231JNegcEY39k8fZekAMI
9fDPIOL1d0A=
=/xTV
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 23:13:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:34:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.